// 
// 
// 

#include "Buffer.h"

void BufferClass::init()
{
	data[0] = '\0';
	len = 0;
}

bool BufferClass::isFull()
{
	return (len >= BUFFERCLASS_DATA_MAX_LEN);
}

void BufferClass::clear()
{
	len = 0;
	data[0] = '\0';
}

bool BufferClass::addChar(const char chr)
{
	if (!isFull())
	{
		data[len] = chr;
		len++;
		data[len] = '\0';
		return true;
	}
	else
		return false;
}

/* end of file*/
