// Buffer.h

#ifndef _BUFFER_h
#define _BUFFER_h

#if defined(ARDUINO) && ARDUINO >= 100
	#include "arduino.h"
#else
	#include "WProgram.h"
#endif
//max length of buffer
#define BUFFERCLASS_DATA_MAX_LEN 16
class BufferClass
{
 protected:


 public:
	 //buffer for serial RX
	 char data[BUFFERCLASS_DATA_MAX_LEN +1] = {'\0'};
	 byte len = 0;

	void init();

	bool isFull();
	void clear();
	bool addChar(const char chr);
};

#endif
